Bug 532523 - Review request: jarjar - Jar Jar Links
Review request: jarjar - Jar Jar Links
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
: 227066 252082 (view as bug list)
Depends On:
Blocks: FE-NEW
  Show dependency treegraph
 
Reported: 2009-11-02 13:00 EST by Mary Ellen Foster
Modified: 2010-03-15 20:54 EDT (History)
6 users (show)

See Also:
Fixed In Version: jarjar-0.9-5.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-15 20:34:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
steve.traylen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2009-11-02 13:00:50 EST
Spec URL: http://www.macs.hw.ac.uk/~mef3/review/jarjar.spec
SRPM URL: http://www.macs.hw.ac.uk/~mef3/review/jarjar-0.9-3.fc12.src.rpm
Description:
Jar Jar Links is a utility that makes it easy to repackage Java 
libraries and embed them into your own distribution. This is 
useful for two reasons:
You can easily ship a single jar file with no external dependencies. 
You can avoid problems where your library depends on a specific 
version of a library, which may conflict with the dependencies of 
another library.



This package was imported from JPackage
Comment 1 Jason Tibbitts 2009-11-02 15:26:00 EST
*** Bug 252082 has been marked as a duplicate of this bug. ***
Comment 2 Jason Tibbitts 2009-11-02 15:27:14 EST
*** Bug 227066 has been marked as a duplicate of this bug. ***
Comment 3 Steve Traylen 2009-11-08 16:49:36 EST
Looking now, can you do the whole gcj thing:
https://fedoraproject.org/wiki/Packaging/Java#GCJ
Comment 4 Steve Traylen 2009-11-09 14:58:25 EST
The directories in your package:

/etc/maven/fragments
/etc/maven
/usr/share/maven2/poms
/usr/share/maven2

are not specified in your package and your requires do not
require packages that contain them.

There should be symlink from 
/usr/share/javadoc/jarjar
to
/usr/share/javadoc/jarjar-0.9

Everything else looks good I would say at the moment, if you can fix
those two and gcj items I'll do the review.

Steve
Comment 5 Mary Ellen Foster 2009-11-17 05:33:50 EST
Thanks for the comments (and sorry for the delay)! Updated files are now here:

Spec URL: http://www.macs.hw.ac.uk/~mef3/review/jarjar.spec
SRPM URL: http://www.macs.hw.ac.uk/~mef3/review/jarjar-0.9-4.fc12.src.rpm
Comment 6 Steve Traylen 2009-11-23 13:52:40 EST
Sorry for the delay.

$ rpmlint SPECS/jarjar.spec SRPMS/jarjar-0.9-4.fc13.src.rpm \
   RPMS/x86_64/jarjar-*

SPECS/jarjar.spec:174: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name}
jarjar.src:174: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name}
jarjar-maven2-plugin.x86_64: W: no-documentation

which is all expected so fine.

The javadoc can and probably should be noarch though.


%package javadoc
Summary: Javadocs for %{name}
Group: Documentation
%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildArch: noarch
%endif
Comment 7 Steve Traylen 2009-11-23 14:13:03 EST
Hi Mary,
The review looks good, just change the docs to noarch and I'll approve.

Steve


http://koji.fedoraproject.org/koji/taskinfo?taskID=1825761

yes: rpmlint above.
yes: package name.
yes: spec file name
yes: package guidelines.
yes: GPLv2+ in .SPEC
yes: GPLv2+ in reality. 
yes: COPYING file included.
yes: english spec.
yes: legible spec.
yes: source matches upstream.
$ md5sum jarjar-src-0.9.zip ~/rpmbuild/SOURCES/jarjar-src-0.9.zip 
61825e60d0466e328c7d24a6cef2c643  jarjar-src-0.9.zip
61825e60d0466e328c7d24a6cef2c643  /home/steve/rpmbuild/SOURCES/jarjar-src-0.9.zip

yes: builds (fc13)
yes: build requires sane.
yes: buils on archs - see koji
yes: no locaes.
yes: no ldconfig needed.
yes: no system libs.
yes: not reloc'
yes: no duplicates.
yes: pulls in jpackage-utils to own directories
yes: everything %defatt
yes: cleans everything.
yes: macro use good.
yes: contains code.
yes: java doc in seperate package.
yes: %doc not needed runtime.
yes: no devel package.
yes: no static libs.
yes: no pkgconfig files.
yes: no devel packages.
yes: no .la files.
yes: no gui.
yes: %install cleans itself.
yes: utf8.
Comment 8 Alexander Kurtakov 2010-02-05 06:52:51 EST
Mary, 
Can you do the needed changes?
It is needed for the Fedora AutoQA project. See https://fedoraproject.org/wiki/User:Jlaska/gwt .
Comment 9 Mary Ellen Foster 2010-02-05 07:00:15 EST
Sorry about that -- this got over looked. :(

Here is the new version with the javadoc as noarch.

Spec URL: http://www.macs.hw.ac.uk/~mef3/review/jarjar.spec
SRPM URL: http://www.macs.hw.ac.uk/~mef3/review/jarjar-0.9-5.fc12.src.rpm
Comment 10 Steve Traylen 2010-02-13 11:14:41 EST
APPROVED.
Comment 11 Mary Ellen Foster 2010-02-13 12:03:38 EST
New Package CVS Request
=======================
Package Name: jarjar
Short Description: Jar Jar Links
Owners: mef
Branches: F-11 F-12
Comment 12 Kevin Fenzi 2010-02-15 22:41:52 EST
CVS done (by process-cvs-requests.py).
Comment 13 Fedora Update System 2010-02-16 05:11:44 EST
jarjar-0.9-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/jarjar-0.9-5.fc11
Comment 14 Fedora Update System 2010-02-16 05:12:06 EST
jarjar-0.9-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/jarjar-0.9-5.fc12
Comment 15 Fedora Update System 2010-02-18 17:20:45 EST
jarjar-0.9-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jarjar'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1945
Comment 16 Fedora Update System 2010-02-18 17:24:58 EST
jarjar-0.9-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jarjar'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-1722
Comment 17 Fedora Update System 2010-03-15 20:34:35 EDT
jarjar-0.9-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-03-15 20:54:40 EDT
jarjar-0.9-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.